From c265d26a9c73555860980f36a127049407dcf695 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Wed, 11 Dec 2019 08:55:25 +0100
Subject: [PATCH 3/3] Fix compiler warning for ppoll() on MSYS2

Apparently, _GNU_SOURCE is required to get the prototype, so just
define that globally.
---
 src/template/cygwin | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/template/cygwin b/src/template/cygwin
index 79a108145f..0a1ab04e3d 100644
--- a/src/template/cygwin
+++ b/src/template/cygwin
@@ -2,6 +2,9 @@
 
 SRCH_LIB="/usr/local/lib"
 
+# to get ppoll() prototype
+CPPFLAGS="$CPPFLAGS -D_GNU_SOURCE"
+
 # Extra CFLAGS for code that will go into a shared library
 CFLAGS_SL=""
 
-- 
2.24.0

